From 9e8ec74f2b1996952b9f51369f341ef6f0cd4a94 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:09 +0000
Subject: [PATCH 376/2232] Remove unneeded unsafe Send impl for CxxVector


This autotrait impl is already inferred.

---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index 782da05..9eb1e56 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -52,7 +52,6 @@ pub fn bridge(namespace: &Namespace, ffi: ItemMod) -> Result<TokenStream> {
                 self.0.into_iter()
             }
         }
-        unsafe impl<T> Send for Vector<T> where T: Send + cxx::private::VectorTarget<T> {}
     });
 
     for api in &apis {
diff --git a/src/cxx_vector.rs b/src/cxx_vector.rs
index 6cf927b..3e3fd03 100644
--- a/src/cxx_vector.rs
+++ b/src/cxx_vector.rs
@@ -55,8 +55,6 @@ impl<T: VectorTarget<T>> CxxVector<T> {
     }
 }
 
-unsafe impl<T> Send for CxxVector<T> where T: Send + VectorTarget<T> {}
-
 pub struct VectorIntoIterator<'a, T> {
     v: &'a CxxVector<T>,
     index: usize,

